package b4a.example;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public b4a.example.helper _customview2 = null;
public b4a.example.autohidemenu _customview1 = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper _checkbox1 = null;
public anywheresoftware.b4a.objects.PanelWrapper _panel1 = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper _checkbox2 = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper _checkbox3 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext1 = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _spinner1 = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _spinner2 = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _spinner3 = null;
public b4a.example.starter _starter = null;
  public Object[] GetGlobals() {
		return new Object[] {"Activity",mostCurrent._activity,"CheckBox1",mostCurrent._checkbox1,"CheckBox2",mostCurrent._checkbox2,"CheckBox3",mostCurrent._checkbox3,"CustomView1",mostCurrent._customview1,"CustomView2",mostCurrent._customview2,"EditText1",mostCurrent._edittext1,"Panel1",mostCurrent._panel1,"Spinner1",mostCurrent._spinner1,"Spinner2",mostCurrent._spinner2,"Spinner3",mostCurrent._spinner3,"Starter",Debug.moduleToString(b4a.example.starter.class)};
}

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = main.mostCurrent.processBA.sharedProcessBA.activityBA.get();
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

BA.applicationContext.stopService(new android.content.Intent(BA.applicationContext, starter.class));
}
public static String  _activity_create(boolean _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (main) ","main",0,mostCurrent.activityBA,mostCurrent,37);
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 37;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(16);
 BA.debugLineNum = 39;BA.debugLine="Activity.LoadLayout(\"L1\")";
Debug.ShouldStop(64);
mostCurrent._activity.LoadLayout("L1",mostCurrent.activityBA);
 BA.debugLineNum = 41;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_pause(boolean _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (main) ","main",0,mostCurrent.activityBA,mostCurrent,47);
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 47;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(16384);
 BA.debugLineNum = 49;BA.debugLine="End Sub";
Debug.ShouldStop(65536);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (main) ","main",0,mostCurrent.activityBA,mostCurrent,43);
 BA.debugLineNum = 43;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(1024);
 BA.debugLineNum = 45;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _checkbox1_checkedchange(boolean _checked) throws Exception{
try {
		Debug.PushSubsStack("CheckBox1_CheckedChange (main) ","main",0,mostCurrent.activityBA,mostCurrent,110);
anywheresoftware.b4a.objects.collections.List _pnl_list = null;
Debug.locals.put("Checked", _checked);
 BA.debugLineNum = 110;BA.debugLine="Sub CheckBox1_CheckedChange(Checked As Boolean)";
Debug.ShouldStop(8192);
 BA.debugLineNum = 111;BA.debugLine="Dim pnl_list As List";
Debug.ShouldStop(16384);
_pnl_list = new anywheresoftware.b4a.objects.collections.List();Debug.locals.put("pnl_list", _pnl_list);
 BA.debugLineNum = 112;BA.debugLine="pnl_list.Initialize";
Debug.ShouldStop(32768);
_pnl_list.Initialize();
 BA.debugLineNum = 113;BA.debugLine="pnl_list.Add(Panel1)";
Debug.ShouldStop(65536);
_pnl_list.Add((Object)(mostCurrent._panel1.getObject()));
 BA.debugLineNum = 114;BA.debugLine="CustomView1.Panel_Connected=pnl_list";
Debug.ShouldStop(131072);
mostCurrent._customview1._setpanel_connected(_pnl_list);
 BA.debugLineNum = 115;BA.debugLine="CustomView1.Connected_Panel_Movable=Checked";
Debug.ShouldStop(262144);
mostCurrent._customview1._setconnected_panel_movable(_checked);
 BA.debugLineNum = 117;BA.debugLine="End Sub";
Debug.ShouldStop(1048576);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _checkbox2_checkedchange(boolean _checked) throws Exception{
try {
		Debug.PushSubsStack("CheckBox2_CheckedChange (main) ","main",0,mostCurrent.activityBA,mostCurrent,118);
Debug.locals.put("Checked", _checked);
 BA.debugLineNum = 118;BA.debugLine="Sub CheckBox2_CheckedChange(Checked As Boolean)";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 119;BA.debugLine="CustomView1.Panel_Connected_Sizable=Checked";
Debug.ShouldStop(4194304);
mostCurrent._customview1._setpanel_connected_sizable(_checked);
 BA.debugLineNum = 120;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _checkbox3_checkedchange(boolean _checked) throws Exception{
try {
		Debug.PushSubsStack("CheckBox3_CheckedChange (main) ","main",0,mostCurrent.activityBA,mostCurrent,121);
Debug.locals.put("Checked", _checked);
 BA.debugLineNum = 121;BA.debugLine="Sub CheckBox3_CheckedChange(Checked As Boolean)";
Debug.ShouldStop(16777216);
 BA.debugLineNum = 122;BA.debugLine="CustomView1.AutoHide=Checked";
Debug.ShouldStop(33554432);
mostCurrent._customview1._setautohide(_checked);
 BA.debugLineNum = 123;BA.debugLine="End Sub";
Debug.ShouldStop(67108864);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _customview1_intelized() throws Exception{
try {
		Debug.PushSubsStack("CustomView1_Intelized (main) ","main",0,mostCurrent.activityBA,mostCurrent,53);
 BA.debugLineNum = 53;BA.debugLine="Sub CustomView1_Intelized";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 54;BA.debugLine="Spinner1.AddAll(Array As String(\"1000\",\"2000\",\"30";
Debug.ShouldStop(2097152);
mostCurrent._spinner1.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{"1000","2000","3000","4000","5000","6000","7000","8000","9000"}));
 BA.debugLineNum = 55;BA.debugLine="Spinner2.AddAll(Array As String(\"100\",\"200\",\"300\"";
Debug.ShouldStop(4194304);
mostCurrent._spinner2.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{"100","200","300","400","500","600","700","800","900"}));
 BA.debugLineNum = 56;BA.debugLine="Spinner3.AddAll(Array As String(\"Left\",\"Right\"))";
Debug.ShouldStop(8388608);
mostCurrent._spinner3.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{"Left","Right"}));
 BA.debugLineNum = 58;BA.debugLine="CustomView1.LeftLogo_N=\"2.png\"";
Debug.ShouldStop(33554432);
mostCurrent._customview1._setleftlogo_n("2.png");
 BA.debugLineNum = 59;BA.debugLine="CustomView1.LeftLogo_P=\"2.png\"";
Debug.ShouldStop(67108864);
mostCurrent._customview1._setleftlogo_p("2.png");
 BA.debugLineNum = 60;BA.debugLine="CustomView1.RightLogo_N=\"3.png\"";
Debug.ShouldStop(134217728);
mostCurrent._customview1._setrightlogo_n("3.png");
 BA.debugLineNum = 61;BA.debugLine="CustomView1.RightLogo_P=\"3.png\"";
Debug.ShouldStop(268435456);
mostCurrent._customview1._setrightlogo_p("3.png");
 BA.debugLineNum = 62;BA.debugLine="CustomView1.HomeLogo_N=\"1.png\"";
Debug.ShouldStop(536870912);
mostCurrent._customview1._sethomelogo_n("1.png");
 BA.debugLineNum = 63;BA.debugLine="CustomView1.HomeLogo_P=\"1.png\"";
Debug.ShouldStop(1073741824);
mostCurrent._customview1._sethomelogo_p("1.png");
 BA.debugLineNum = 64;BA.debugLine="CustomView1.PhoneLogo_P=\"4.png\"";
Debug.ShouldStop(-2147483648);
mostCurrent._customview1._setphonelogo_p("4.png");
 BA.debugLineNum = 65;BA.debugLine="CustomView1.PhoneLogo_N=\"6.png\"";
Debug.ShouldStop(1);
mostCurrent._customview1._setphonelogo_n("6.png");
 BA.debugLineNum = 67;BA.debugLine="CustomView1.AutoHideTime=4000 ' waiting time mili";
Debug.ShouldStop(4);
mostCurrent._customview1._setautohidetime((int) (4000));
 BA.debugLineNum = 68;BA.debugLine="CustomView1.Cyc_Time=600 ' process time for hidin";
Debug.ShouldStop(8);
mostCurrent._customview1._setcyc_time(600);
 BA.debugLineNum = 69;BA.debugLine="CustomView1.AutoHide=True 'Auto hode system is wo";
Debug.ShouldStop(16);
mostCurrent._customview1._setautohide(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 70;BA.debugLine="CustomView1.Panel_Color=Colors.Yellow";
Debug.ShouldStop(32);
mostCurrent._customview1._setpanel_color(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
 BA.debugLineNum = 72;BA.debugLine="CustomView1.Load(CustomView1.Height)";
Debug.ShouldStop(128);
mostCurrent._customview1._load(mostCurrent._customview1._getheight());
 BA.debugLineNum = 74;BA.debugLine="End Sub";
Debug.ShouldStop(512);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _customview1_loaded() throws Exception{
try {
		Debug.PushSubsStack("CustomView1_Loaded (main) ","main",0,mostCurrent.activityBA,mostCurrent,99);
anywheresoftware.b4a.objects.collections.List _myspinnerlist = null;
int _x = 0;
 BA.debugLineNum = 99;BA.debugLine="Sub CustomView1_Loaded";
Debug.ShouldStop(4);
 BA.debugLineNum = 100;BA.debugLine="CustomView2.Visible=False";
Debug.ShouldStop(8);
mostCurrent._customview2._setvisible(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 101;BA.debugLine="Dim myspinnerlist As List";
Debug.ShouldStop(16);
_myspinnerlist = new anywheresoftware.b4a.objects.collections.List();Debug.locals.put("myspinnerlist", _myspinnerlist);
 BA.debugLineNum = 102;BA.debugLine="myspinnerlist.Initialize";
Debug.ShouldStop(32);
_myspinnerlist.Initialize();
 BA.debugLineNum = 103;BA.debugLine="For x=1 To 4";
Debug.ShouldStop(64);
{
final int step66 = 1;
final int limit66 = (int) (4);
for (_x = (int) (1); (step66 > 0 && _x <= limit66) || (step66 < 0 && _x >= limit66); _x = ((int)(0 + _x + step66))) {
Debug.locals.put("x", _x);
 BA.debugLineNum = 104;BA.debugLine="myspinnerlist.add(x&\"# item\")";
Debug.ShouldStop(128);
_myspinnerlist.Add((Object)(BA.NumberToString(_x)+"# item"));
 }
}Debug.locals.put("x", _x);
;
 BA.debugLineNum = 106;BA.debugLine="CustomView1.List=myspinnerlist";
Debug.ShouldStop(512);
mostCurrent._customview1._setlist(_myspinnerlist);
 BA.debugLineNum = 107;BA.debugLine="CustomView1.SelecetListIndex=2";
Debug.ShouldStop(1024);
mostCurrent._customview1._setselecetlistindex((int) (2));
 BA.debugLineNum = 109;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _customview1_panel_hided() throws Exception{
try {
		Debug.PushSubsStack("CustomView1_Panel_Hided (main) ","main",0,mostCurrent.activityBA,mostCurrent,93);
 BA.debugLineNum = 93;BA.debugLine="Sub CustomView1_Panel_Hided";
Debug.ShouldStop(268435456);
 BA.debugLineNum = 94;BA.debugLine="CustomView2.Visible=True";
Debug.ShouldStop(536870912);
mostCurrent._customview2._setvisible(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 95;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _customview1_panel_showed() throws Exception{
try {
		Debug.PushSubsStack("CustomView1_Panel_Showed (main) ","main",0,mostCurrent.activityBA,mostCurrent,96);
 BA.debugLineNum = 96;BA.debugLine="Sub CustomView1_Panel_Showed";
Debug.ShouldStop(-2147483648);
 BA.debugLineNum = 97;BA.debugLine="CustomView2.Visible=False";
Debug.ShouldStop(1);
mostCurrent._customview2._setvisible(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 98;BA.debugLine="End Sub";
Debug.ShouldStop(2);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _customview2_doubleclick() throws Exception{
try {
		Debug.PushSubsStack("CustomView2_DoubleClick (main) ","main",0,mostCurrent.activityBA,mostCurrent,85);
 BA.debugLineNum = 85;BA.debugLine="Sub CustomView2_DoubleClick";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 86;BA.debugLine="Msgbox(\"double cilick\",\"\")";
Debug.ShouldStop(2097152);
anywheresoftware.b4a.keywords.Common.Msgbox("double cilick","",mostCurrent.activityBA);
 BA.debugLineNum = 87;BA.debugLine="Panel1.Left=10dip";
Debug.ShouldStop(4194304);
mostCurrent._panel1.setLeft(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10)));
 BA.debugLineNum = 88;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _customview2_horizontal_siliding() throws Exception{
try {
		Debug.PushSubsStack("CustomView2_Horizontal_Siliding (main) ","main",0,mostCurrent.activityBA,mostCurrent,82);
 BA.debugLineNum = 82;BA.debugLine="Sub CustomView2_Horizontal_Siliding";
Debug.ShouldStop(131072);
 BA.debugLineNum = 83;BA.debugLine="CustomView1.Show";
Debug.ShouldStop(262144);
mostCurrent._customview1._show();
 BA.debugLineNum = 84;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _customview2_intelized() throws Exception{
try {
		Debug.PushSubsStack("CustomView2_Intelized (main) ","main",0,mostCurrent.activityBA,mostCurrent,75);
 BA.debugLineNum = 75;BA.debugLine="Sub CustomView2_Intelized";
Debug.ShouldStop(1024);
 BA.debugLineNum = 77;BA.debugLine="CustomView2.CornerLogo_P=\"5.png\" ' aktive logo\"";
Debug.ShouldStop(4096);
mostCurrent._customview2._setcornerlogo_p("5.png");
 BA.debugLineNum = 78;BA.debugLine="CustomView2.CornerLogo_N=\"5.png\" ' passive logo";
Debug.ShouldStop(8192);
mostCurrent._customview2._setcornerlogo_n("5.png");
 BA.debugLineNum = 79;BA.debugLine="CustomView2.Anchor_Left_Rigth_side=True";
Debug.ShouldStop(16384);
mostCurrent._customview2._setanchor_left_rigth_side(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 80;BA.debugLine="CustomView2.Load";
Debug.ShouldStop(32768);
mostCurrent._customview2._load();
 BA.debugLineNum = 81;BA.debugLine="End Sub";
Debug.ShouldStop(65536);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _customview2_vertical_siliding() throws Exception{
try {
		Debug.PushSubsStack("CustomView2_Vertical_Siliding (main) ","main",0,mostCurrent.activityBA,mostCurrent,89);
 BA.debugLineNum = 89;BA.debugLine="Sub CustomView2_Vertical_Siliding";
Debug.ShouldStop(16777216);
 BA.debugLineNum = 90;BA.debugLine="Panel1.Left=Panel1.Left+10dip";
Debug.ShouldStop(33554432);
mostCurrent._panel1.setLeft((int) (mostCurrent._panel1.getLeft()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10))));
 BA.debugLineNum = 91;BA.debugLine="CustomView2.Visible=True";
Debug.ShouldStop(67108864);
mostCurrent._customview2._setvisible(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 92;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _edittext1_enterpressed() throws Exception{
try {
		Debug.PushSubsStack("EditText1_EnterPressed (main) ","main",0,mostCurrent.activityBA,mostCurrent,124);
 BA.debugLineNum = 124;BA.debugLine="Sub EditText1_EnterPressed";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 126;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 21;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 25;BA.debugLine="Private CustomView2 As Helper";
mostCurrent._customview2 = new b4a.example.helper();
 //BA.debugLineNum = 26;BA.debugLine="Private CustomView1 As AutoHideMenu";
mostCurrent._customview1 = new b4a.example.autohidemenu();
 //BA.debugLineNum = 27;BA.debugLine="Private CheckBox1 As CheckBox";
mostCurrent._checkbox1 = new anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Private Panel1 As Panel";
mostCurrent._panel1 = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Private CheckBox2 As CheckBox";
mostCurrent._checkbox2 = new anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper();
 //BA.debugLineNum = 30;BA.debugLine="Private CheckBox3 As CheckBox";
mostCurrent._checkbox3 = new anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Private EditText1 As EditText";
mostCurrent._edittext1 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Private Spinner1 As Spinner";
mostCurrent._spinner1 = new anywheresoftware.b4a.objects.SpinnerWrapper();
 //BA.debugLineNum = 33;BA.debugLine="Private Spinner2 As Spinner";
mostCurrent._spinner2 = new anywheresoftware.b4a.objects.SpinnerWrapper();
 //BA.debugLineNum = 34;BA.debugLine="Private Spinner3 As Spinner";
mostCurrent._spinner3 = new anywheresoftware.b4a.objects.SpinnerWrapper();
 //BA.debugLineNum = 35;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    if (mostCurrent != null) {
Debug.StartDebugging(mostCurrent.activityBA, 34730, new int[] {5, 1}, "70868a3a-3f3e-4c5f-ba12-f294505650fc");}

    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
starter._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 19;BA.debugLine="End Sub";
return "";
}
public static String  _spinner1_itemclick(int _position,Object _value) throws Exception{
try {
		Debug.PushSubsStack("Spinner1_ItemClick (main) ","main",0,mostCurrent.activityBA,mostCurrent,127);
Debug.locals.put("Position", _position);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 127;BA.debugLine="Sub Spinner1_ItemClick (Position As Int, Value As";
Debug.ShouldStop(1073741824);
 BA.debugLineNum = 128;BA.debugLine="CustomView1.AutoHideTime=Value";
Debug.ShouldStop(-2147483648);
mostCurrent._customview1._setautohidetime((int)(BA.ObjectToNumber(_value)));
 BA.debugLineNum = 129;BA.debugLine="CustomView1.AutoHide_Reset";
Debug.ShouldStop(1);
mostCurrent._customview1._autohide_reset();
 BA.debugLineNum = 130;BA.debugLine="End Sub";
Debug.ShouldStop(2);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _spinner2_itemclick(int _position,Object _value) throws Exception{
try {
		Debug.PushSubsStack("Spinner2_ItemClick (main) ","main",0,mostCurrent.activityBA,mostCurrent,131);
Debug.locals.put("Position", _position);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 131;BA.debugLine="Sub Spinner2_ItemClick (Position As Int, Value As";
Debug.ShouldStop(4);
 BA.debugLineNum = 132;BA.debugLine="CustomView1.Cyc_Time=Value";
Debug.ShouldStop(8);
mostCurrent._customview1._setcyc_time((double)(BA.ObjectToNumber(_value)));
 BA.debugLineNum = 133;BA.debugLine="CustomView1.AutoHide_Reset";
Debug.ShouldStop(16);
mostCurrent._customview1._autohide_reset();
 BA.debugLineNum = 134;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _spinner3_itemclick(int _position,Object _value) throws Exception{
try {
		Debug.PushSubsStack("Spinner3_ItemClick (main) ","main",0,mostCurrent.activityBA,mostCurrent,135);
Debug.locals.put("Position", _position);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 135;BA.debugLine="Sub Spinner3_ItemClick (Position As Int, Value As";
Debug.ShouldStop(64);
 BA.debugLineNum = 136;BA.debugLine="If Value=\"Left\" Then";
Debug.ShouldStop(128);
if ((_value).equals((Object)("Left"))) { 
 BA.debugLineNum = 137;BA.debugLine="CustomView2.Anchor_Left_Rigth_side=True";
Debug.ShouldStop(256);
mostCurrent._customview2._setanchor_left_rigth_side(anywheresoftware.b4a.keywords.Common.True);
 }else {
 BA.debugLineNum = 139;BA.debugLine="CustomView2.Anchor_Left_Rigth_side=False";
Debug.ShouldStop(1024);
mostCurrent._customview2._setanchor_left_rigth_side(anywheresoftware.b4a.keywords.Common.False);
 };
 BA.debugLineNum = 141;BA.debugLine="CustomView2.Load";
Debug.ShouldStop(4096);
mostCurrent._customview2._load();
 BA.debugLineNum = 142;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
}
